package com.muyu.aliyun.bailian.data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UploadDataManagementMode {

    /**
     * 工作空间的唯一标识符
     *
     * 用于在系统中唯一标识一个工作空间，便于在不同模块和功能中引用和操作特定的工作空间
     */
    private String workspaceId;

    /**
     * 区域ID，用于标识不同的区域
     */
    private String regionId;

    /**
     * 分类ID，用于标识不同的分类
     */
    private String categoryId;

    /**
     * 分类类型，用于进一步细化分类
     */
    private String categoryType;

    /**
     * 租赁ID，用于标识不同的租赁协议
     */
    private String leaseId;

    /**
     * 解析器，用于指定解析规则或工具
     */
    private String parser;

    private List<String> tags;
}
