package com.muyu.aliyun.bailian.data.fixed;

import com.aliyun.tea.NameInMap;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DescribeFileResponseBodyDataMode {

    /**
     * 文件类别ID，用于标识文件的类别
     */
    public String categoryId;

    /**
     * 创建时间，记录文件何时被创建
     */
    public String createTime;

    /**
     * 文件ID，唯一标识一个文件
     */
    public String fileId;

    /**
     * 文件名，存储文件的名称
     */
    public String fileName;

    /**
     * 文件类型，描述文件的格式或种类
     */
    public String fileType;

    /**
     * 解析器类型，标识用于解析文件的工具或方法
     */
    public String parser;

    /**
     * 文件大小，以字节为单位
     */
    public Long sizeInBytes;

    /**
     * 文件状态，描述文件的当前状态（如已上传、处理中等）
     */
    public String status;

    /**
     * 标签列表，用于标识文件的关键字或类别
     */
    public List<String> tags;


}
