package com.muyu.aliyun.config;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Configuration
@ConfigurationProperties(prefix = "oss")
public class OssConfig {
    /**
     * OSS服务的终端节点，用于指定OSS服务的接入地址
     */
    private String endpoint;

    /**
     * 阿里云访问密钥ID，用于身份验证
     */
    private String accessKeyId;

    /**
     * 阿里云访问密钥，与accessKeyId一起用于身份验证
     */
    private String accessKeySecret;

    /**
     * OSS服务中的存储空间名称
     */
    private String bucketName;
}
